@ECHO OFF
SETLOCAL EnableDelayedExpansion
SETLOCAL EnableExtensions

REM ##############################################################################
REM internal.cmd   Internal script to configure Liberty for use with Optim
REM 
REM    Licensed Materials - Property of IBM
REM    "Restricted Materials of IBM"
REM 
REM    5724-U38, 5724-U39, 5724-U48
REM 
REM     Copyright IBM Corp. 2021 All Rights Reserved
REM 
REM     Copyright 2021 UNICOM Systems, Inc. - All Rights Reserved
REM 
REM    US Government Users Restricted Rights - Use, duplication or
REM    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
REM 

:START
REM Directory of current file

SET _DIR=%~dp0

SET _RC=0

REM The base installation directory for the Shared Components
REM Typically %HOME%\IBM\InfoSphere\Optim\shared
SET "SHARED_INSTALL_DIR=%_DIR%..\.."
SET "OPTIM_DIR=%SHARED_INSTALL_DIR%\.."
SET "SETUP_SRC_DIRECTORY=%SHARED_INSTALL_DIR%\web\setup"

if "%1." == "." (
   @ECHO "This is an internal script that should only be called by Installation Manager."
   SET _RC=1
) else (
   if EXIST "%SETUP_SRC_DIRECTORY%\%1" (
      @ECHO "Calling %SETUP_SRC_DIRECTORY%\%1 %2 %3 %4 %5"
      CALL %SETUP_SRC_DIRECTORY%\%1 %2 %3 %4 %5
      SET _RC=!ERRORLEVEL!
      @ECHO %SETUP_SRC_DIRECTORY%\%1 %2 %3 %4 %5 returned %_RC% 
      if NOT "%_RC%"=="0" (
         if "%2"=="update" (
            CALL %SETUP_SRC_DIRECTORY%\%1 create %3 %4 %5
            SET _RC=!ERRORLEVEL!
            @ECHO %SETUP_SRC_DIRECTORY%\%1 create %3 %4 %5 returned %_RC% 
         )
      )
   ) else (
      @ECHO "%SETUP_SRC_DIRECTORY%\%1 is not installed."
      REM Always return 0 to the installer in this case
      SET _RC=0
   )
)
EXIT /B %_RC%